_alpm_event_package_operation_t(3)

NAME
_alpm_event_package_operation_t

SYNOPSIS

  Data Fields
alpm_event_type_t type
Type of event.
alpm_package_operation_t operation
Type of operation.
alpm_pkg_t * oldpkg
Old package.
alpm_pkg_t * newpkg
New package.

Field Documentation

  alpm_pkg_t* _alpm_event_package_operation_t::newpkg

New package.

  alpm_pkg_t* _alpm_event_package_operation_t::oldpkg

Old package.

  alpm_package_operation_t _alpm_event_package_operation_t::operation

Type of operation.

  alpm_event_type_t _alpm_event_package_operation_t::type

Type of event.

Author

Generated automatically by Doxygen for libalpm from the source code.